<?php

$template_sub_menu_spacer = "";
$template_sys_menu_spacer ="";

function addbutton(&$menu,$href_lnk,$href_title,$href_tgt,$block_id,$spacer) {
  $menu[]=array($href_lnk,$href_title,$href_tgt,$block_id,$spacer);
}

// HTML template for template sys_menu buttons
$template_sys_menu_button = <<<EOT
<!-- BEGIN {BLOCK_ID} -->
	<li><a href="{HREF_TGT}" title="{HREF_TITLE}">{HREF_LNK}</a> {SPACER}</li>
<!-- END {BLOCK_ID} -->
EOT;

// HTML template for template sub_menu buttons
$template_sub_menu_button = <<<EOT
<!-- BEGIN {BLOCK_ID} -->
	<a href="{HREF_TGT}" title="{HREF_TITLE}">{HREF_LNK}</a> {SPACER}
<!-- END {BLOCK_ID} -->
EOT;

// HTML template for template sys_menu buttons
// {HREF_LNK}{HREF_TITLE}{HREF_TGT}{BLOCK_ID}{SPACER}
addbutton($sys_menu_buttons,'{HOME_LNK}','{HOME_TITLE}','{HOME_TGT}','home',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{MY_GAL_LNK}','{MY_GAL_TITLE}','{MY_GAL_TGT}','my_gallery',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{MEMBERLIST_LNK}','{MEMBERLIST_TITLE}','{MEMBERLIST_TGT}','allow_memberlist',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{MY_PROF_LNK}','{MY_PROF_TITLE}','{MY_PROF_TGT}','my_profile',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{ADM_MODE_LNK}','{ADM_MODE_TITLE}','{ADM_MODE_TGT}','enter_admin_mode',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{USR_MODE_LNK}','{USR_MODE_TITLE}','{USR_MODE_TGT}','leave_admin_mode',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{UPL_PIC_LNK}','{UPL_PIC_TITLE}','{UPL_PIC_TGT}','upload_pic',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{REGISTER_LNK}','{REGISTER_TITLE}','{REGISTER_TGT}','register',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{FAQ_LNK}','{FAQ_TITLE}','{FAQ_TGT}','faq',$template_sys_menu_spacer);
addbutton($sys_menu_buttons,'{LOGIN_LNK}','{LOGIN_TITLE}','{LOGIN_TGT}','login','');
addbutton($sys_menu_buttons,'{LOGOUT_LNK}','{LOGOUT_TITLE}','{LOGOUT_TGT}','logout','');
// Login and Logout don't have a spacer as only one is shown, and either would be the last option.
addbutton($sys_menu_buttons,'|','','','seperator','');
addbutton($sys_menu_buttons,'A+', 'Increase font size','javascript:ts(\'body\',1)', '', '', '');
addbutton($sys_menu_buttons,'A-', 'Decrease font size','javascript:ts(\'body\',-1)', '', '', '');
addbutton($sys_menu_buttons,'[A]', 'Default font size','javascript:tsreset(\'body\')', '', '', '');

// HTML template for user admin menu
$template_user_admin_menu = <<<EOT
<div class="menuBox">
	<h1>Admin Menu</h1>
  <a href="albmgr.php" title="{ALBMGR_TITLE}">{ALBMGR_LNK}</a>
  <a href="modifyalb.php" title="{MODIFYALB_TITLE}">{MODIFYALB_LNK}</a>
  <a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a>
	<a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a>
</div>
EOT;

// HTML template for gallery admin menu
$template_gallery_admin_menu = <<<EOT
<div class="menuBox">
	<h1>Admin Menu</h1>
	<!-- BEGIN admin_approval -->
	<span class="admin_menu_anim"><a href="editpics.php?mode=upload_approval" title="{UPL_APP_TITLE}">{UPL_APP_LNK}</a></span>
	<!-- END admin_approval -->
	<a href="admin.php" title="{ADMIN_TITLE}">{ADMIN_LNK}</a>
	<a href="catmgr.php" title="{CATEGORIES_TITLE}">{CATEGORIES_LNK}</a>
	<a href="albmgr.php{CATL}" title="{ALBUMS_TITLE}">{ALBUMS_LNK}</a>
	<a href="groupmgr.php" title="{GROUPS_TITLE}">{GROUPS_LNK}</a>
	<a href="usermgr.php" title="{USERS_TITLE}">{USERS_LNK}</a>
	<a href="banning.php" title="{BAN_TITLE}">{BAN_LNK}</a>
	<a href="reviewcom.php" title="{COMMENTS_TITLE}">{COMMENTS_LNK}</a>
	<!-- BEGIN log_ecards -->
	<a href="db_ecard.php" title="{DB_ECARD_TITLE}">{DB_ECARD_LNK}</a>
	<!-- END log_ecards -->
	<a href="picmgr.php" title="{PICTURES_TITLE}">{PICTURES_LNK}</a>
	<a href="searchnew.php" title="{SEARCHNEW_TITLE}">{SEARCHNEW_LNK}</a>
	<a href="util.php" title="{UTIL_TITLE}">{UTIL_LNK}</a>
	<a href="profile.php?op=edit_profile" title="{MY_PROF_TITLE}">{MY_PROF_LNK}</a>
	<!-- BEGIN documentation -->
	<a href="{DOCUMENTATION_HREF}" title="{DOCUMENTATION_TITLE}" target="cpg_documentation">{DOCUMENTATION_LNK}</a>
	<!-- END documentation -->
</div>
EOT;
?>